# DataExchange
TKXSBase
Transfer

# Transfer_ActorOfFinderProcess Class Reference

The original class was renamed. Compatibility only
ModeTrans : a simple way of transmitting a transfer mode from
a user. To be interpreted for each norm
.

`#include <Transfer_ActorOfFinderProcess.hxx>`

Inheritance diagram for Transfer_ActorOfFinderProcess:

[legend]

## Public Member Functions

Standard_EXPORT | Transfer_ActorOfFinderProcess ()
Standard_EXPORT Standard_Integer & | ModeTrans ()
| Returns the Transfer Mode, modifiable .
virtual Standard_EXPORT Handle_Transfer_Binder | Transferring (const Handle(Transfer_Finder)&start, const Handle(Transfer_ProcessForFinder)&TP)
virtual Standard_EXPORT Handle_Transfer_Binder | Transfer (const Handle(Transfer_Finder)&start, const Handle(Transfer_FinderProcess)&TP)
virtual Standard_EXPORT Handle_Standard_Transient | TransferTransient (const Handle(Standard_Transient)&start, const Handle(Transfer_FinderProcess)&TP)
Standard_EXPORT const | Handle (Standard_Type)&DynamicType() const

## Protected Attributes

Standard_Integer | themodetrans

## Constructor & Destructor Documentation

Standard_EXPORT Transfer_ActorOfFinderProcess::Transfer_ActorOfFinderProcess | ( |  | ) |

## Member Function Documentation

Standard_EXPORT const Transfer_ActorOfFinderProcess::Handle | ( | Standard_Type |  | ) | const

| Reimplemented from Transfer_ActorOfProcessForFinder. Reimplemented in IGESControl_ActorWrite, STEPCAFControl_ActorWrite, and STEPControl_ActorWrite.

Standard_EXPORT Standard_Integer& Transfer_ActorOfFinderProcess::ModeTrans | ( |  | ) |

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfFinderProcess::Transfer | ( | const Handle(Transfer_Finder)& | start,
|  | const Handle(Transfer_FinderProcess)& | TP
| ) | `[virtual]`

| Reimplemented in IGESControl_ActorWrite, and STEPControl_ActorWrite.

virtual Standard_EXPORT Handle_Transfer_Binder Transfer_ActorOfFinderProcess::Transferring | ( | const Handle(Transfer_Finder)& | start,
|  | const Handle(Transfer_ProcessForFinder)& | TP
| ) | `[virtual]`

| Reimplemented from Transfer_ActorOfProcessForFinder.

virtual Standard_EXPORT Handle_Standard_Transient Transfer_ActorOfFinderProcess::TransferTransient | ( | const Handle(Standard_Transient)& | start,
|  | const Handle(Transfer_FinderProcess)& | TP
| ) | `[virtual]`

## Field Documentation

Standard_Integer Transfer_ActorOfFinderProcess::themodetrans `[protected]`

The documentation for this class was generated from the following file:

- Transfer_ActorOfFinderProcess.hxx